=== debian/changelog ===
nvidia-cuda-toolkit (10.1.105-0ubuntu1) disco; urgency=medium

  [ Graham Inggs ]
  * Sync with 10.1.105-1 from Debian binNEW (LP: #1821792)

  [ Andreas Beckmann ]
  * New upstream release 10.1 (Feb 2019).  (Closes: #924488)
  * Repack the upstream *.run files and keep only the toolkit, dropping driver
    and (not redistributable) samples.
  * d/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 10.0 => 10.1, rename core library packages.
  * SOVERSION change: 10.0 => 10, rename application library packages.
  * libcublaslt10: New package for the cuBLASLt library.
  * nsight-systems: New package for NVIDIA Nsight Systems.
  * Add gcc-8 and clang-7 as supported compiler alternatives.
  * Install new/renamed/moved/... files.
  * Refresh patches and fix more typos.
  * Update Lintian overrides.

 -- Graham Inggs <ginggs@ubuntu.com>  Wed, 27 Mar 2019 08:36:18 +0000
