=== debian/control ===
Source: nvidia-cuda-toolkit
Section: non-free/libs
Priority: optional
Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
Uploaders:
 Andreas Beckmann <anbe@debian.org>,
 Graham Inggs <ginggs@debian.org>,
 Zhou Mo <cdluminate@gmail.com>,
Build-Depends:
 debhelper-compat (= 12),
 quilt,
 libncurses5,
 libexpat1 [ppc64el],
 hardlink [amd64],
# for nsight-compute
 libglvnd-dev [!ppc64el],
 libnspr4-dev [!ppc64el],
 libnss3-dev [!ppc64el],
 libpulse-dev [!ppc64el],
 chrpath [!ppc64el],
# for nsight-systems
 libice6 [!ppc64el],
 libsm6 [!ppc64el],
# for nvidia-openjdk-8-jre
 libasound2 [amd64],
 libgl1 [amd64],
 libgtk2.0-0 [amd64],
 libxslt1.1 [amd64],
 libxtst6 [amd64],
 libxxf86vm1 [amd64],
Rules-Requires-Root: no
Standards-Version: 4.3.0
Homepage: https://developer.nvidia.com/cuda-zone
Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit
Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit.git
XS-Autobuild: yes

Package: nvidia-cuda-toolkit
Section: non-free/devel
Architecture: amd64 ppc64el
Depends:
 nvidia-profiler (= ${binary:Version}),
 nvidia-cuda-dev (= ${binary:Version}),
 nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
 gcc-8 | clang-7 | gcc-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
 g++-8 | clang-7 | g++-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
 ${shlibs:Depends}, ${misc:Depends},
Recommends:
 nvidia-cuda-doc (= ${source:Version}),
 nvidia-cuda-gdb (= ${binary:Version}),
 nvidia-visual-profiler (= ${binary:Version}) [${cuda:arch:has-java}],
 nsight-compute (= ${binary:Version}) [${cuda:arch:has-nsight-compute}],
 nsight-systems (= ${binary:Version}) [${cuda:arch:has-nsight-systems}],
Suggests:
 libcupti-dev,
 nvidia-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
Conflicts:
# packages from the repository packages provided by NVIDIA
 cuda-repo-ubuntu1404,
 cuda-repo-ubuntu1404-7-5-local,
 cuda-repo-ubuntu1410,
 cuda-repo-ubuntu1504,
 cuda-repo-ubuntu1504-7-5-local,
 cuda-license-7-5,
Description: NVIDIA CUDA development toolkit
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the nvcc compiler and other tools needed for building
 CUDA applications.
 .
 Running CUDA applications requires a supported NVIDIA GPU and the NVIDIA
 driver kernel module.

Package: nvidia-cuda-doc
Section: non-free/doc
Architecture: all
Depends:
 libjs-html5shiv,
 libjs-jquery,
 ${misc:Depends}
Description: NVIDIA CUDA and OpenCL documentation
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the developer documentation.

Package: nvidia-cuda-gdb
Section: non-free/devel
Architecture: amd64 ppc64el
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version})
Description: NVIDIA CUDA Debugger (GDB)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the cuda-gdb debugger.

Package: nvidia-profiler
Section: non-free/devel
Architecture: amd64 ppc64el
Depends:
 libaccinj64-${cudart:SoVersion},
 libcuinj64-${cudart:SoVersion},
 ${shlibs:Depends}, ${misc:Depends}
Suggests:
 nvidia-cuda-toolkit,
Description: NVIDIA Profiler for CUDA and OpenCL
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This package contains the nvprof profiler.

Package: nvidia-openjdk-8-jre
Section: non-free/java
Architecture: amd64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA provided OpenJDK Java runtime, using Hotspot JIT
 Full Java runtime environment - needed for executing Java GUI and Webstart
 programs, using Hotspot JIT.
 .
 This package provides the openjdk-8 binaries shipped with the
 NVIDIA CUDA Toolkit, this obsolete version is needed for
 nvidia-visual-profiler and nvidia-nsight.

Package: nvidia-visual-profiler
Section: non-free/devel
Architecture: amd64
Depends:
 nvidia-openjdk-8-jre,
 libgtk2.0-0,
 nvidia-profiler (= ${binary:Version}),
 ${perl:Depends},
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Homepage: https://developer.nvidia.com/nvidia-visual-profiler
Description: NVIDIA Visual Profiler for CUDA and OpenCL
 The NVIDIA Visual Profiler is a cross-platform performance profiling tool
 that delivers developers vital feedback for optimizing CUDA C/C++ and OpenCL
 applications.

Package: nvidia-nsight
Section: non-free/devel
Architecture: amd64
Depends:
 nvidia-openjdk-8-jre,
 libgtk2.0-0,
 ${shlibs:Depends}, ${misc:Depends}
Recommends: nvidia-cuda-doc (= ${source:Version}),
Homepage: https://developer.nvidia.com/cuda/nsight-eclipse-edition
Description: NVIDIA Nsight Eclipse Edition
 NVIDIA Nsight Eclipse Edition is a full-featured IDE powered by the Eclipse
 platform that provides an all-in-one integrated environment to edit, build,
 debug and profile CUDA-C applications.
 Nsight Eclipse Edition supports a rich set of commercial and free plugins.

Package: nsight-compute
Section: non-free/devel
Architecture: amd64
Depends:
 libjs-html5shiv,
 libjs-jquery,
 ${shlibs:Depends}, ${misc:Depends}
Homepage: https://developer.nvidia.com/nsight-compute
Description: NVIDIA Nsight Compute
 NVIDIA Nsight Compute is an interactive kernel profiler for CUDA applications.
 It provides detailed performance metrics and API debugging via a user
 interface and command line tool. In addition, its baseline feature allows
 users to compare results within the tool. Nsight Compute provides a
 customizable and data-driven user interface and metric collection and can be
 extended with analysis scripts for post-processing results.

Package: nsight-systems
Section: non-free/devel
Architecture: amd64
Depends:
 ${shlibs:Depends}, ${misc:Depends}
Homepage: https://developer.nvidia.com/nsight-systems
Description: NVIDIA Nsight Systems
 NVIDIA Nsight Systems is a system-wide performance analysis tool designed to
 visualize an application’s algorithms, help you identify the largest
 opportunities to optimize, and tune to scale efficiently across any quantity
 or size of CPUs and GPUs; from large server to smallest SoCs.

Package: nvidia-cuda-dev
Section: non-free/libdevel
Architecture: amd64 ppc64el
Depends:
 libcudart${cudart:SoVersion} (= ${binary:Version}),
 libaccinj64-${cudart:SoVersion} (= ${binary:Version}),
 libcuinj64-${cudart:SoVersion} (= ${binary:Version}),
 libnvrtc${cudart:SoVersion} (= ${binary:Version}),
 libnvtoolsext1 (= ${binary:Version}),
 libnvvm3 (= ${binary:Version}),
 libcublas${cuda:SoVersion} (= ${binary:Version}),
 libcublaslt${cuda:SoVersion} (= ${binary:Version}),
 libnvblas${cuda:SoVersion} (= ${binary:Version}),
 libcufft${cuda:SoVersion} (= ${binary:Version}),
 libcufftw${cuda:SoVersion} (= ${binary:Version}),
 libcurand${cuda:SoVersion} (= ${binary:Version}),
 libcusolver${cuda:SoVersion} (= ${binary:Version}),
 libcusparse${cuda:SoVersion} (= ${binary:Version}),
 libnppc${cuda:SoVersion} (= ${binary:Version}),
 libnppial${cuda:SoVersion} (= ${binary:Version}),
 libnppicc${cuda:SoVersion} (= ${binary:Version}),
 libnppicom${cuda:SoVersion} (= ${binary:Version}),
 libnppidei${cuda:SoVersion} (= ${binary:Version}),
 libnppif${cuda:SoVersion} (= ${binary:Version}),
 libnppig${cuda:SoVersion} (= ${binary:Version}),
 libnppim${cuda:SoVersion} (= ${binary:Version}),
 libnppist${cuda:SoVersion} (= ${binary:Version}),
 libnppisu${cuda:SoVersion} (= ${binary:Version}),
 libnppitc${cuda:SoVersion} (= ${binary:Version}),
 libnpps${cuda:SoVersion} (= ${binary:Version}),
 libnvgraph${cuda:SoVersion} (= ${binary:Version}),
 libnvjpeg${cuda:SoVersion} (= ${binary:Version}) [!ppc64el],
 libnvidia-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
 libthrust-dev,
 ${misc:Depends}
Recommends:
 ${package:libcuda1},
 libgl1-mesa-dev | libgl-dev,
 libvdpau-dev,
 libnvcuvid1,
Breaks:
 libcuda1 (<< ${nvidia:MinVersion}),
Description: NVIDIA CUDA development files
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the development files: headers and libraries.

Package: nvidia-opencl-dev
Section: non-free/libdevel
Architecture: amd64 ppc64el
Multi-Arch: same
Depends:
 ocl-icd-opencl-dev,
 ${misc:Depends}
Recommends:
 nvidia-opencl-icd,
Breaks:
 nvidia-libopencl1 (>> 0),
Description: NVIDIA OpenCL development files
 OpenCL (Open Computing Language) is a multi-vendor open standard for
 general-purpose parallel programming of heterogeneous systems that include
 CPUs, GPUs and other processors.
 .
 This metapackage provides the development files: headers and libraries.

Package: libcudart10.1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Recommends:
 ${package:libcuda1}
Provides:
 no-libcuda1 [${cuda:arch:has-no-driver}],
Description: NVIDIA CUDA Runtime Library
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 This package contains the CUDA Runtime API library for high-level CUDA
 programming, on top of the CUDA Driver API.

Package: libaccinj64-10.1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA ACCINJ Library (64-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 ACCINJ is the OpenACC internal library for profiling.
 .
 This package contains the 64-bit ACCINJ runtime library.

Package: libcuinj64-10.1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: NVIDIA CUINJ Library (64-bit)
 The Compute Unified Device Architecture (CUDA) enables NVIDIA
 graphics processing units (GPUs) to be used for massively parallel
 general purpose computation.
 .
 CUINJ is the CUDA internal library for profiling.
 .
 This package contains the 64-bit CUINJ runtime library.

Package: libnvrtc10.1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Description: CUDA Runtime Compilation (NVIDIA NVRTC Library)
 CUDA Runtime Compilation library (nvrtc) provides an API to compile
 CUDA-C++ device source code at runtime.
 .
 The resulting compiled PTX can be launched on a GPU using the CUDA
 Driver API.
 .
 This package contains the NVRTC library.

Package: libnvtoolsext1
Architecture: amd64 ppc64el
Multi-Arch: same
Pre-Depends: ${misc:Pre-Depends}
Depends: ${shlibs:Depends}, ${misc:Depends}
Homepage: https://docs.nvidia.com/gameworks/content/gameworkslibrary/nvtx/nvidia_tools_extension_library_nvtx.htm
Description: NVIDIA Tools Extension Library
 The NVIDIA Tools Extension SDK (NVTX) is a C-based API for marking events and
