=== debian/changelog ===
nvidia-cuda-toolkit (10.1.168-7) unstable; urgency=medium

  * Adjust dependencies for the packaged tesla driver rename to tesla-418.
  * Bump Standards-Version to 4.5.0 (no changes needed).

 -- Andreas Beckmann <anbe@debian.org>  Thu, 06 Feb 2020 21:59:47 +0100

nvidia-cuda-toolkit (10.1.168-6) unstable; urgency=medium

  * nvcc.profile: Append -L/usr/lib/<triplet> to the LIBRARIES variable,
    thanks to Eyal Rozenberg.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 31 Dec 2019 01:10:59 +0100

nvidia-cuda-toolkit (10.1.168-5) unstable; urgency=medium

  [ Andreas Beckmann ]
  * nvidia-cuda-dev: Depend on libcupti-dev, thanks to Gengyu Rao.
  * man-typos.patch: Fix more misspellings.
  * Make libnvidia-ml-dev installable on Ubuntu/ppc64el w/o driver.
  * Update Lintian overrides.

  [ Graham Inggs ]
  * [Ubuntu] Add build dependencies on libxi6 and libasound2.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 27 Dec 2019 14:43:31 +0100

nvidia-cuda-toolkit (10.1.168-4) unstable; urgency=medium

  * Split out libnvidia-ml-dev as a separate package.
  * libnvjpeg10 is available for ppc64el, too.
  * Refresh Build-Depends.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 23 Dec 2019 22:07:12 +0100

nvidia-cuda-toolkit (10.1.168-3) unstable; urgency=medium

  * Fix tesla driver dependencies.

 -- Andreas Beckmann <anbe@debian.org>  Mon, 25 Nov 2019 19:41:47 +0100

nvidia-cuda-toolkit (10.1.168-2) unstable; urgency=medium

  * Add support for the packaged tesla driver.
  * Remove Zhou Mo from Uploaders, thanks for all your work! (Closes: #942267)
  * Bump Standards-Version to 4.4.1 (no changes needed).
  * Update Lintian overrides.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 22 Nov 2019 13:47:11 +0100

nvidia-cuda-toolkit (10.1.168-1) experimental; urgency=medium

  [ Graham Inggs ]
  * New upstream release 10.1 Update 1 (May 2019).  (Closes: #930365)
  * d/copyright: Synchronize with updated EULA.txt.
  * Add clang-8 as supported compiler alternative.
  * nsight-systems: Ship new documentation.
  * Refresh patches and fix more typos.
  * Update Lintian overrides.
  * Upload to experimental.

 -- Andreas Beckmann <anbe@debian.org>  Sat, 17 Aug 2019 14:22:01 +0200

nvidia-cuda-toolkit (10.1.105-3) unstable; urgency=medium

  * Stop building libthrust-dev. It is provided by a separate source package
    in main, again.  (Closes: #923689)
  * d/rules{,.defs}: Distinguish between minimal and bundled driver version.

 -- Andreas Beckmann <anbe@debian.org>  Fri, 16 Aug 2019 13:58:15 +0200

nvidia-cuda-toolkit (10.1.105-2) unstable; urgency=medium

  * Bump Standards-Version to 4.4.0 (no changes needed).
  * man-typos.patch: Fix more misspellings.
  * Upload to unstable.

 -- Andreas Beckmann <anbe@debian.org>  Wed, 10 Jul 2019 11:07:56 +0200

nvidia-cuda-toolkit (10.1.105-1) experimental; urgency=medium

  * New upstream release 10.1 (Feb 2019).  (Closes: #924488)
  * Repack the upstream *.run files and keep only the toolkit, dropping driver
    and (not redistributable) samples.
  * d/copyright: Synchronize with updated EULA.txt.
  * SOVERSION bump: 10.0 => 10.1, rename core library packages.
  * SOVERSION change: 10.0 => 10, rename application library packages.
  * libcublaslt10: New package for the cuBLASLt library.
  * nsight-systems: New package for NVIDIA Nsight Systems.
  * Add gcc-8 and clang-7 as supported compiler alternatives.
  * Install new/renamed/moved/... files.
  * Refresh patches and fix more typos.
  * Update Lintian overrides.

 -- Andreas Beckmann <anbe@debian.org>  Tue, 26 Mar 2019 21:31:01 +0100
