=== debian/control ===
--- 
+++ 
@@ -1,36 +1,35 @@
 Source: nvidia-cuda-toolkit
 Section: non-free/libs
 Priority: optional
-Maintainer: Ubuntu Developers <ubuntu-devel-discuss@lists.ubuntu.com>
-XSBC-Original-Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
+Maintainer: Debian NVIDIA Maintainers <pkg-nvidia-devel@lists.alioth.debian.org>
 Uploaders:
  Andreas Beckmann <anbe@debian.org>,
  Graham Inggs <ginggs@debian.org>,
- Zhou Mo <cdluminate@gmail.com>,
 Build-Depends:
  debhelper-compat (= 12),
  quilt,
+ chrpath,
+ hardlink,
+ libexpat1,
  libncurses5,
- libexpat1 [ppc64el],
- hardlink [amd64],
 # for nsight-compute
- libglvnd-dev [!ppc64el],
- libnspr4-dev [!ppc64el],
- libnss3-dev [!ppc64el],
- libpulse-dev [!ppc64el],
- chrpath [!ppc64el],
-# for nsight-systems
- libice6 [!ppc64el],
- libsm6 [!ppc64el],
+ libasound2 [!ppc64el],
+ libdbus-1-3 [!ppc64el],
+ libegl1 [!ppc64el],
+ libfontconfig1 [!ppc64el],
+ libgl1 [!ppc64el],
+ libnss3 [!ppc64el],
+ libpulse-mainloop-glib0 [!ppc64el],
+ libxcomposite1 [!ppc64el],
+ libxcursor1 [!ppc64el],
+ libxi6 [!ppc64el],
+ libxrandr2 [!ppc64el],
+ libxtst6 [!ppc64el],
 # for nvidia-openjdk-8-jre
- libasound2 [amd64],
- libgl1 [amd64],
  libgtk2.0-0 [amd64],
  libxslt1.1 [amd64],
- libxtst6 [amd64],
- libxxf86vm1 [amd64],
 Rules-Requires-Root: no
-Standards-Version: 4.3.0
+Standards-Version: 4.5.0
 Homepage: https://developer.nvidia.com/cuda-zone
 Vcs-Browser: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit
 Vcs-Git: https://salsa.debian.org/nvidia-team/nvidia-cuda-toolkit.git
@@ -43,8 +42,8 @@
  nvidia-profiler (= ${binary:Version}),
  nvidia-cuda-dev (= ${binary:Version}),
  nvidia-opencl-dev (= ${binary:Version}) | opencl-dev,
- gcc-8 | clang-7 | gcc-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
- g++-8 | clang-7 | g++-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
+ gcc-8 | clang-8 | clang-7 | gcc-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | gcc-6 | gcc-5 | gcc-4.9 | gcc-4.8,
+ g++-8 | clang-8 | clang-7 | g++-7 | clang-6.0 | clang-5.0 | clang-4.0 | clang-3.9 | clang-3.8 | clang (<< 1:8~) | g++-6 | g++-5 | g++-4.9 | g++-4.8,
  ${shlibs:Depends}, ${misc:Depends},
 Recommends:
  nvidia-cuda-doc (= ${source:Version}),
@@ -53,8 +52,8 @@
  nsight-compute (= ${binary:Version}) [${cuda:arch:has-nsight-compute}],
  nsight-systems (= ${binary:Version}) [${cuda:arch:has-nsight-systems}],
 Suggests:
- libcupti-dev,
- nvidia-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
+ nvidia-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}]
+ | nvidia-tesla-418-driver (>= ${nvidia:MinVersion}) [${cuda:arch:has-tesla-driver}],
 Conflicts:
 # packages from the repository packages provided by NVIDIA
  cuda-repo-ubuntu1404,
@@ -188,6 +187,8 @@
 Section: non-free/devel
 Architecture: amd64
 Depends:
+ libjs-jquery,
+ libjs-underscore,
  ${shlibs:Depends}, ${misc:Depends}
 Homepage: https://developer.nvidia.com/nsight-systems
 Description: NVIDIA Nsight Systems
@@ -227,8 +228,9 @@
  libnppitc${cuda:SoVersion} (= ${binary:Version}),
  libnpps${cuda:SoVersion} (= ${binary:Version}),
  libnvgraph${cuda:SoVersion} (= ${binary:Version}),
- libnvjpeg${cuda:SoVersion} (= ${binary:Version}) [!ppc64el],
- libnvidia-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}],
+ libnvjpeg${cuda:SoVersion} (= ${binary:Version}),
+ libcupti-dev (= ${binary:Version}),
+ libnvidia-ml-dev (= ${binary:Version}),
  libthrust-dev,
  ${misc:Depends}
 Recommends:
@@ -263,6 +265,27 @@
  .
  This metapackage provides the development files: headers and libraries.
 
+Package: libnvidia-ml-dev
+Section: non-free/libdevel
+Architecture: amd64 ppc64el
+Depends:
+ libnvidia-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-driver}]
+ | libnvidia-tesla-418-ml1 (>= ${nvidia:MinVersion}) [${cuda:arch:has-tesla-driver}]
+ | no-libcuda1 [${cuda:arch:has-no-driver}]
+ | libnvidia-ml.so.1 (>= ${nvidia:MinVersion}),
+ ${misc:Depends}
+Breaks:
+ nvidia-cuda-dev (<< 10.1.168-4~),
+Replaces:
+ nvidia-cuda-dev (<< 10.1.168-4~),
+Homepage: https://developer.nvidia.com/nvidia-management-library-NVML
+Description: NVIDIA Management Library (NVML) development files
+ The NVIDIA Management Library (NVML) provides a monitoring and management API.
+ It provides a direct access to the queries and commands exposed via nvidia-smi.
+ .
+ This package contains the header file and depends on the driver-provided
+ library.
+
 Package: libcudart10.1
 Architecture: amd64 ppc64el
 Multi-Arch: same
@@ -310,23 +333,3 @@
 
 Package: libnvrtc10.1
 Architecture: amd64 ppc64el
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Description: CUDA Runtime Compilation (NVIDIA NVRTC Library)
- CUDA Runtime Compilation library (nvrtc) provides an API to compile
- CUDA-C++ device source code at runtime.
- .
- The resulting compiled PTX can be launched on a GPU using the CUDA
- Driver API.
- .
- This package contains the NVRTC library.
-
-Package: libnvtoolsext1
-Architecture: amd64 ppc64el
-Multi-Arch: same
-Pre-Depends: ${misc:Pre-Depends}
-Depends: ${shlibs:Depends}, ${misc:Depends}
-Homepage: https://docs.nvidia.com/gameworks/content/gameworkslibrary/nvtx/nvidia_tools_extension_library_nvtx.htm
-Description: NVIDIA Tools Extension Library
- The NVIDIA Tools Extension SDK (NVTX) is a C-based API for marking events and
