=== debian/rules ===
--- 
+++ 
@@ -10,15 +10,14 @@
 
 
 include debian/rules.defs
-CUDA_ARCH_LIST		?= amd64
-CUDA_PATCH_LIST		?=
-CUDA_PATCH_LIST_ARCH	?= $(patsubst $(DEB_HOST_ARCH)-%,%,$(filter $(DEB_HOST_ARCH)-%,$(CUDA_PATCH_LIST)))
-CUDA_ARCH_LIST_NO_DRIVER?=
-CUDA_ARCH_LIST_NO_JAVA	?=
+CUDA_ARCH_LIST			?= amd64
+CUDA_ARCH_LIST_NO_DRIVER	?=
+CUDA_ARCH_LIST_NO_TESLA_DRIVER	?=
+CUDA_ARCH_LIST_NO_JAVA		?=
 CUDA_VERSION_TOOLKIT	?= $(DEB_VERSION_UPSTREAM)
 CUDA_VERSION_MAJOR	?= $(word 1,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
 CUDA_VERSION_MINOR	?= $(word 2,$(subst ., ,$(CUDA_VERSION_TOOLKIT)))
-version_driver		 = $(CUDA_VERSION_DRIVER.$(DEB_HOST_ARCH))
+version_driver		 = $(CUDA_VERSION_DRIVER_MINIMAL.$(DEB_HOST_ARCH))
 watch_url		 = $(CUDA_WATCH_URL)
 PACKAGE_LIST		:= $(shell dh_listpackages)
 THRUST_VERSION		?= $(or $(strip $(shell perl -ne 'if (/define\s+THRUST_VERSION\s+(\d*)/) { printf "%d.%d.%d\n", $$1 / 100000, $$1 / 100 % 1000, $$1 % 100; }' nvidia-cuda/include/thrust/version.h)),$(error empty THRUST_VERSION))
@@ -30,7 +29,9 @@
 nsight_systems_pkg	?= $(filter nsight-systems,$(PACKAGE_LIST))
 
 package_libcuda1 \
-	= libcuda1 (>= $${nvidia:MinVersion}) \
+	= libcuda1 (>= $${nvidia:MinVersion}) [$${cuda:arch:has-driver}] \
+	| libnvidia-tesla-cuda1 (>= $${nvidia:MinVersion}) [$${cuda:arch:has-tesla-driver}] \
+	| libcuda.so.1 (>= $${nvidia:MinVersion}) \
 	| libcuda-$${cudart:SoVersion}-1
 #ifeq ($(VENDOR),Ubuntu)
 package_libcuda1	+= | no-libcuda1 [$${cuda:arch:has-no-driver}]
@@ -130,14 +131,11 @@
 build-stamp: unpack-stamp
 	$(RM) -r build
 	cp -al nvidia-cuda-tree-$(DEB_HOST_ARCH)/ build
-	test ! -d build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) || mv build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) build/NsightCompute
-	test ! -d build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) || mv build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) build/NsightSystems
+	test ! -d build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) || mv build/NsightCompute-$(NSIGHT_COMPUTE_VERSION) build/nsight-compute
+	test ! -d build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) || mv build/NsightSystems-$(NSIGHT_SYSTEMS_VERSION) build/nsight-systems
 	# fix permissions
-	chmod -x build/bin/crt/link.stub
-	chmod -x build/bin/crt/prelink.stub
 	chmod -x build/libnvvp/*.xpm
 	chmod -x build/libnsight/*.xpm
-	chmod -x build/nvvm/include/*.h
 	chmod -x build/nvvm/libnvvm-samples/build.bat
 	# remove java path
 	sed -i '/^-vm$$/ d; /^..\/jre\/bin\/java$$/ d' build/libnvvp/nvvp.ini build/libnsight/nsight.ini
@@ -153,7 +151,7 @@
 	# remove tracking images
 	@set -e -x ; for dir in \
 		build/doc/html \
-		build/NsightCompute/docs \
+		build/nsight-compute/docs \
 		build/extras/CUPTI/doc/html \
 		build/extras/Sanitizer/docs \
 	; do test ! -d $$dir || find $$dir \
@@ -172,19 +170,21 @@
 	# replace embedded javascript libraries
 	find build -name html5shiv-printshiv.min.js -exec ln -sfv /usr/share/javascript/html5shiv/html5shiv-printshiv.min.js {} \;
 	find build -name jquery.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
+	find build -name jquery-3.1.0.js -exec ln -sfv /usr/share/javascript/jquery/jquery.js {} \;
 	find build -name jquery.min.js -exec ln -sfv /usr/share/javascript/jquery/jquery.min.js {} \;
+	find build -name underscore.js -exec ln -sfv /usr/share/javascript/underscore/underscore.js {} \;
 	# reduce 'dh_missing --list-missing' noise
 	@set -e -x ; for dir in build/include build/lib64 ; do if [ -h "$$dir" ] ; then target=$$(readlink -f $$dir) ; $(RM) $$dir ; mv -v $$target $$dir ; fi ; done
-	$(RM) -rv build/NsightCompute/target/$(NSIGHT_COMPUTE_DESKTOP_DIR.i386)/
+	$(RM) -rv build/nsight-compute/target/$(NSIGHT_COMPUTE_DESKTOP_DIR.i386)/
 ifeq ($(DEB_HOST_ARCH),ppc64el)
 	# that's an amd64 jre
 	$(RM) -r build/jre
+endif
+ifeq (,$(thrust_pkg))
+	# that's packaged separately
+	$(RM) -r build/include/thrust
 endif
 	# remove empty directories
 	find build -depth -type d -exec sh -c 'd="{}"; rmdir --ignore-fail-on-non-empty "$$d" ; test -d "$$d" || echo "removed $$d"' \;
 	# split arch and indep eclipse plugins
 	mkdir build/libnsight/plugins-arch
-	mv build/libnsight/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnsight/plugins-arch/
-	mkdir build/libnvvp/plugins-arch
-	mv build/libnvvp/plugins/org.eclipse.equinox.launcher.gtk.linux.* build/libnvvp/plugins-arch/
-ifneq (,$(nsight_compute_pkg))
